### File

`packages/ecl/components/ecl-site-header/ecl-site-header-environment/ecl-site-header-environment.component.ts`

### Description

Custom component, that shows the current environment of the application, for example 'develop', 'acceptance', etc. Adds some custom styling, so that the text will appear over the EU/EC logo.

### Extends

`ECLBaseDirective`

### Implements

`OnDestroy`

### Metadata

selector | `[eclSiteHeaderEnvironment]`
styles | `:host { position: absolute; width: 100%; font-size: 1.3rem; padding: 0.3rem; opacity: 0.6; text-align: center; transform: rotate(-10deg); } @media print { :host { display: none; } }`
template |
    <ng-content></ng-content>

### Index

###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor(el: ElementRef, cdkBreakpointObserver: BreakpointObserver, renderer: Renderer2)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No
cdkBreakpointObserver | `BreakpointObserver` | No
renderer | `Renderer2` | No

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""